# Interface TargetStreamMessage

WebSocket message for target streaming.

interface TargetStreamMessage {
target: ArpaTarget;
timestamp: string;
type: "target_update" | "target_lost" | "target_acquired";
}

- Defined in radarapi.ts:408

##### Index

### Properties

target
timestamp
type

## Properties

### target

target: ArpaTarget

Updated/lost/acquired target

- Defined in radarapi.ts:414

### timestamp

timestamp: string

ISO 8601 timestamp

- Defined in radarapi.ts:412

### type

type: "target_update" | "target_lost" | "target_acquired"

Message type

- Defined in radarapi.ts:410